"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require("@angular/core");
var ej2_angular_spreadsheet_1 = require("@syncfusion/ej2-angular-spreadsheet");
var AppComponent = (function () {
    function AppComponent() {
        this.openUrl = 'http://localhost:55367/home/open';
        this.saveUrl = 'http://localhost:55367/home/save';
    }
    AppComponent.prototype.onCreated = function () {
        var _this = this;
        var request = new XMLHttpRequest();
        request.responseType = "blob";
        request.onload = function () {
            var file = new File([request.response], "Sample1.xlsx");
            _this.spreadsheetObj.open({ file: file });
        };
        request.open("GET", "http://localhost:55367/" + "Sample1.xlsx");
        request.send();
    };
    AppComponent.prototype.onOpenComplete = function (args) {
        this.customArgs = args.response.data.customArgs;
    };
    AppComponent.prototype.onSelect = function (args) {
        for (var i = 0; i < this.customArgs.length; i++) {
            if (this.spreadsheetObj.activeSheetTab - 1 === this.customArgs[i].sheetIndex && args.range === this.customArgs[i].address + ":" + this.customArgs[i].address) {
                document.getElementById("customvalue").innerHTML = this.customArgs[i].customValue;
                break;
            }
        }
    };
    return AppComponent;
}());
__decorate([
    core_1.ViewChild('default'),
    __metadata("design:type", ej2_angular_spreadsheet_1.SpreadsheetComponent)
], AppComponent.prototype, "spreadsheetObj", void 0);
AppComponent = __decorate([
    core_1.Component({
        selector: 'my-app',
        templateUrl: './app.component.html',
        encapsulation: core_1.ViewEncapsulation.None
    })
], AppComponent);
exports.AppComponent = AppComponent;
//# sourceMappingURL=app.component.js.map